%global mod_name junit-plugin
%global short_name junit
%global plugin_home %{_datadir}/jenkins/webroot/WEB-INF/plugins/

Name:           jenkins-junit-plugin
Version:        1.12
Release:        %mkrel 1
Group:          Development/Java
Summary:        Jenkins JUnit Plugin

# License is specified in pom.xml
License:        MIT
URL:            https://wiki.jenkins-ci.org/display/JENKINS/JUnit+Plugin
Source0:        https://github.com/jenkinsci/%{mod_name}/archive/%{short_name}-%{version}.tar.gz
# Text copied from http://www.opensource.org/licenses/mit-license.php
Source1:        LICENSE.txt

BuildRequires:  maven-local
BuildRequires:  mvn(org.jenkins-ci.plugins:plugin:pom:)
BuildRequires:  mvn(org.kohsuke:access-modifier-checker)
BuildRequires:  mvn(org.jenkins-ci.main:jenkins-core)
BuildRequires:  mvn(com.google.code.findbugs:annotations)

BuildRequires:  zip

BuildArch:      noarch

%description
This package provides Jenkins plugin which allows JUnit-format test
results to be published.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{mod_name}-%{short_name}-%{version}

# upstream has this in Jenkins' parent POM, which we don't have
%pom_add_dep com.google.code.findbugs:annotations:provided

cp %{SOURCE1} .
%mvn_file ::hpi:: %{name}/%{short_name}

%build
# tests have special needs:
# "package com.gargoylesoftware.htmlunit.html does not exist"
# we don't have these Jenkins test artifacts in Fedora
%mvn_build -f

%install
install -d -m 755 %{buildroot}/%{plugin_home}
unzip -d target/%{short_name}.hpi-unpacked target/%{short_name}.hpi
pushd target/%{short_name}.hpi-unpacked/WEB-INF/lib/
  rm %{short_name}.jar && ln -s %{_javadir}/%{name}/%{short_name}.jar .
  xmvn-subst -s .
popd
pushd target/%{short_name}.hpi-unpacked/
  zip -y -r %{short_name}.hpi .
popd
mv target/%{short_name}.hpi-unpacked/%{short_name}.hpi target/
cp target/%{short_name}.hpi %{buildroot}/%{plugin_home}/
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%dir %{_mavenpomdir}/%{name}
%{plugin_home}
%license LICENSE.txt
%files javadoc -f .mfiles-javadoc
%license LICENSE.txt



%changelog
* Fri Apr 29 2016 daviddavid <daviddavid> 1.12-1.mga6
+ Revision: 1007665
- Update to 1.12

* Fri Mar 11 2016 neoclust <neoclust> 1.11-2.mga6
+ Revision: 989074
- Rebuild against fixed jenkins
- imported package jenkins-junit-plugin

